<%@ page import="org.wso2.carbon.datasource.ui.DataSourceClientConstants" %>
<%@ page import="org.wso2.carbon.datasource.ui.DatasourceManagementClient" %>
<%@ page import="java.util.List" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<script type="text/javascript" src="global-params.js"></script>
<script type="text/javascript" src="dscommon.js"></script>

<fmt:bundle basename="org.wso2.carbon.datasource.ui.i18n.Resources">
    <carbon:breadcrumb resourceBundle="org.wso2.carbon.datasource.ui.i18n.Resources"
                       topPage="true" request="<%=request%>" label="data.sources.header"/>
    <div id="middle">

        <h2><fmt:message key="data.sources.header"/></h2>

        <div id="workArea">
            <%
                DatasourceManagementClient client;
                try {
                    client = DatasourceManagementClient.getInstance(config, session);
                    List<String> descriptions = client.getAllDataSourceInformations();
                    if (descriptions != null && !descriptions.isEmpty()) {


            %>
            <p><fmt:message key="available.defined.data.sources"/></p>
            <br/>
            <table id="myTable" class="styledLeft">
                <thead>
                    <tr>
                        <th><fmt:message key="th.data.source"/></th>
                        <th><fmt:message key="th.action"/></th>
                    </tr>
                </thead>
                <tbody>

                    <%
                        for (String name : descriptions) {
                            if (name != null) {
                    %>
                    <tr id="tr_<%=name%>">

                        <td>
                            <%=name%>
                        </td>
                        <td ><a href="#" class="edit-icon-link" onclick="editRow('<%=name%>')"><fmt:message key="datasource.edit"/></a><a href="#" class="delete-icon-link" onclick="deleteRow('<%=name%>','<fmt:message key="ds.delete.waring"/>')"><fmt:message key="datasource.delete"/></a>
                    
                    </tr>
                    <%
                            }
                        }
                    %>
                </tbody>
            </table>
            <%} else {%>
            <p><fmt:message key="no.datasources.msg"/></p>
            <br/>
            <%}%>
            <div style="height:30px;">
                <a href="javascript:document.location.href='newdatasource.jsp'" class="add-icon-link"><fmt:message key="add.data.source"/></a>
            </div>

        </div>
    </div> 
    <%

    } catch (Exception e) {
    	CarbonUIMessage uiMsg = new CarbonUIMessage(CarbonUIMessage.ERROR, e.getMessage(), e);
        session.setAttribute(CarbonUIMessage.ID, uiMsg);    
        %>
        	<script type="text/javascript">
                    window.location.href = "../admin/error.jsp";
                </script>
        <%    
    }

    %>
    <script type="text/javascript">
        alternateTableRows('myTable', 'tableEvenRow', 'tableOddRow');
    </script>
</fmt:bundle>
   
